SharedProduct makes possible to share designs to others.
GET /accounts/{accountId}/shops/{shopId}/sharedProducts

Get all shared products.

Available Since
1.4.134
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
filterId query   optional saved Filter.SharedProduct ID; empty string for all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/shops/{shopId}/sharedProducts/{sharedProductId}

Get shared product by ID.

Available Since
1.4.134
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
sharedProductId required path   int the unique identifier of the shared product
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json SharedProduct
application/xml SharedProduct
Response (XML)
<sharedProduct>
  <id>...</id>
  <version>...</version>
  <created>2019-04-25T18:02:07+02:00</created>
  <uuid>...</uuid>
  <assignedProductColor>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <productColor>
      <id>...</id>
      <name>black</name>
    </productColor>
    <default>...</default>
    <active>...</active>
  </assignedProductColor>
  <useAllColorSize>...</useAllColorSize>
  <design>
    <id>...</id>
    <product>
      <id>...</id>
      <name>Premium T-shirt</name>
      <amountMultiply>...</amountMultiply>
      <artNr>180.42</artNr>
      <model>Exact 190</model>
      <hsCode>ABC123456789</hsCode>
      <active>...</active>
      <orderIndex>1</orderIndex>
    </product>
    <price>...</price>
  </design>
  <link href="..." hreflang="..." length="..." rel="..." title="..." type="..." xmlns="http://www.w3.org/2005/Atom"/>
</sharedProduct>
Response (JSON)
{
  "sharedProduct" : {
    "id" : 12345,
    "version" : 12345,
    "created" : 12345,
    "uuid" : "...",
    "assignedProductColor" : {
      "id" : 12345,
      "orderIndex" : 1,
      "productColor" : {
        "id" : 12345,
        "name" : "black"
      },
      "default" : true,
      "active" : true
    },
    "useAllColorSize" : true,
    "design" : {
      "id" : 12345,
      "product" : {
        "id" : 12345,
        "name" : "Premium T-shirt",
        "amountMultiply" : 12345,
        "artNr" : "180.42",
        "model" : "Exact 190",
        "hsCode" : "ABC123456789",
        "active" : true,
        "orderIndex" : 1
      },
      "price" : 12345.0
    },
    "rest" : [ { }, { } ]
  }
}
DELETE /accounts/{accountId}/shops/{shopId}/sharedProducts/{sharedProductId}

Remove shared product.

Available Since
1.4.134
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
sharedProductId required path   int the unique identifier of the shared product
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json object
application/xml anyType